<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	
	<artifactId>fox-platform-service</artifactId>
	<packaging>jar</packaging>
	<name>fox platform CE - Core Service</name>

	<parent>
		<groupId>com.camunda.fox.platform</groupId>
		<artifactId>fox-platform-core</artifactId>
		<version>1.26.0-SNAPSHOT</version>
	</parent>

	<dependencies>

		<dependency>
			<groupId>com.camunda.fox.platform</groupId>
			<artifactId>fox-platform-api</artifactId>
			<version>${project.version}</version>
		</dependency>

		<dependency>
			<groupId>com.camunda.fox.platform</groupId>
			<artifactId>fox-platform-deployer</artifactId>
			<version>${project.version}</version>
		</dependency>

		<dependency>
			<groupId>org.jboss.spec</groupId>
			<artifactId>jboss-javaee-web-6.0</artifactId>
			<type>pom</type>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>com.camunda.fox.engine</groupId>
			<artifactId>fox-engine</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.camunda.fox.engine</groupId>
			<artifactId>fox-engine-cdi</artifactId>
			<scope>provided</scope>
		</dependency>
		
		<!-- jboss as7 dependencies -->
		<dependency>
			<groupId>org.jboss</groupId>
			<artifactId>jboss-vfs</artifactId>
			<version>3.0.1.GA</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.modules</groupId>
			<artifactId>jboss-modules</artifactId>
			<version>1.0.2.GA</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jboss.as</groupId>
			<artifactId>jboss-as-server</artifactId>
			<version>7.1.0.Final</version>
			<scope>provided</scope>
		</dependency>
    
        <!-- test infrastructure -->        
        <dependency>
          <groupId>junit</groupId>
          <artifactId>junit</artifactId>
          <scope>test</scope>
        </dependency>
        
        <dependency>
          <groupId>org.springframework</groupId>
          <artifactId>spring-test</artifactId>
          <scope>test</scope>
        </dependency>
        
        <dependency>
         	<groupId>commons-dbcp</groupId>
	       <artifactId>commons-dbcp</artifactId>
          <scope>test</scope>
        </dependency>
        
        <dependency>
          <groupId>com.h2database</groupId>
          <artifactId>h2</artifactId>
          <scope>test</scope>
        </dependency>
        
        <dependency>
          <groupId>com.fasterxml.uuid</groupId>
          <artifactId>java-uuid-generator</artifactId>
          <scope>test</scope>
        </dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.3.1</version>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
				</configuration>
			</plugin>			
		</plugins>
	</build>

</project>